## org.codehaus.groovy.antlr
Class Main

Field Summary
`boolean` | `showTree`
`boolean` | `verbose`
`boolean` | `whitespaceIncluded`

Constructor Summary
`Main()`

Method Summary
`static void` | `doFile(File f)`
`static void` | `doTreeAction(String f, AST t, def tokenNames)`
`static void` | `main(def args)`
`static void` | `parseFile(String f, GroovyLexer l, SourceBuffer sourceBuffer)`

Constructor Detail

### Main

    Main()

Method Detail

### doFile

    public static void doFile(File f)

### doTreeAction

    public static void doTreeAction(String f, AST t, def tokenNames)

### main

    public static void main(def args)

### parseFile

    public static void parseFile(String f, GroovyLexer l, SourceBuffer sourceBuffer)